[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [Qemu-devel] [PATCH v2 0/2] Add machine type pc-1.0-qemu-kvm for live migrate compatibility with qemu-kvm



Serge,

On 7 Aug 2014, at 03:50, Serge Hallyn <serge hallyn ubuntu com> wrote:

> This worked for me when migrating by hand.  I'm trying to make it work
> through libvirt, using the following patch.  (So whether to have
> pc-1.0 be treated as qemu's or qemu-kvm's pc-1.0 is specifed using a
> boolean in /etc/libvirt/qemu.conf)  Qemu starts with decent
> looking args, but for some reason the the migration is failing -
> still looking through the logfile to figure out why.

Are you using exactly the same arguments by hand and with libvirt?

Also, on reflection, given one of the changes between 1.0 and 2.0
is ACPI, I should probably have done some testing with an ACPI
enabled image, rather than just cirros (which not ACPI enabled);
any chance this is ACPI related?

>  Now sadly my
> tests are being further slowed down by qcow corruption on my host,
> but I don't think that was the cause of my failure.

Whilst getting the patch right in the first place I tend to
cp from a known good image. Obviously once it works, qcow2
corruption should not happen. But failed migrations (with
or without my patch) do appear to cause this relatively
frequently.

-- 
Alex Bligh





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]